# Method: settings.datasources.delete

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/delete#try-it)

Deletes a datasource.

**Note:** This API requires an admin account to execute.

### HTTP request

`DELETE https://cloudsearch.googleapis.com/v1/settings/{name=datasources/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the datasource. Format: datasources/{sourceId}. |

### Query parameters

| Parameters ||
|---|---|
| `debugOptions` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/DebugOptions`)`` Common debug options. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.settings.indexing`
- `https://www.googleapis.com/auth/cloud_search.settings`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).